Bug 187077 - X server misinterprets DDC data
X server misinterprets DDC data
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-28 05:23 EST by Heinz Ulrich Stille
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-03 11:07:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X server output (57.92 KB, text/plain)
2006-03-28 05:30 EST, Heinz Ulrich Stille
no flags Details

  None (edit)
Description Heinz Ulrich Stille 2006-03-28 05:23:52 EST
Description of problem:   
My monitor is a Dell 2405FPW with a resolution of 1920x1200. It uses reduced   
horizontal blanking. So far this worked without a problem, but since an update   
yesterday the X server tells me "monitor doesn't support reduced blanking",   
while the DDC data explicitly report a video mode that uses it. Instead a   
standard video mode is used which the monitor really can't display.   
   
Version-Release number of selected component (if applicable):   
RPM versions:   
xorg-x11-apps-1.0.2-1   
xorg-x11-drivers-7.0-2   
xorg-x11-drv-ati-6.5.7.3-4.cvs20060322   
   
     
Actual results:   
(server log:)   
(**) RADEON(0): *Default mode "1920x1200": 193.2 MHz, 74.5 kHz, 60.0 Hz   
(II) RADEON(0): Modeline "1920x1200"  193.16  1920 2048 2256 2592  1200 1201   
1204 1242 -hsync +vsync   
   
   
Expected results:   
   
   
Additional info:   
relevant xorg.conf sections:   
Section "Monitor"   
        Identifier   "Monitor1"   
        VendorName   "Dell"   
        ModelName    "Dell 2405FPW"   
        Option      "DPMS"   
        Mode "vesa1920x1200"   
                DotClock        154.0   
                HTimings        1920 1968 2000 2080   
                VTimings        1200 1203 1209 1235   
                Flags           "+HSync" "-VSync"   
        EndMode   
EndSection   
Section "Device"   
        Identifier  "Card0"   
        Driver      "ati"   
        VendorName  "ATI Technologies Inc"   
        BusID       "PCI:1:5:0"   
        Option     "RenderAccel"        "True"   
EndSection   
Section "Screen"   
        Identifier "Screen0"   
        Device     "Card0"   
        Monitor    "Monitor1"   
        DefaultColorDepth 24   
        SubSection "Display"   
                Viewport   0 0   
                Depth     24   
        EndSubSection   
EndSection   
   
   
From the server log (complete log is attached): 
(II) RADEON(0): DDC Type: 3, Detected Type: 1   
(II) RADEON(0): EDID data from the display on port 2-----------------------   
(II) RADEON(0): Manufacturer: DEL  Model: a00f  Serial#: 825313875   
(II) RADEON(0): Year: 2005  Week: 22   
(II) RADEON(0): EDID Version: 1.3   
(II) RADEON(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V   
(II) RADEON(0): Sync:  Separate  Composite  SyncOnGreen   
(II) RADEON(0): Max H-Image Size [cm]: horiz.: 52  vert.: 33   
(II) RADEON(0): Gamma: 2.20   
(II) RADEON(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display   
(II) RADEON(0): Default color space is primary color space   
(II) RADEON(0): First detailed timing is preferred mode   
(II) RADEON(0): redX: 0.640 redY: 0.330   greenX: 0.300 greenY: 0.607   
(II) RADEON(0): blueX: 0.149 blueY: 0.060   whiteX: 0.312 whiteY: 0.328   
(II) RADEON(0): Supported VESA Video Modes:   
(II) RADEON(0): 720x400@70Hz   
(II) RADEON(0): 640x480@60Hz   
(II) RADEON(0): 640x480@75Hz   
(II) RADEON(0): 800x600@60Hz   
(II) RADEON(0): 800x600@75Hz   
(II) RADEON(0): 1024x768@60Hz   
(II) RADEON(0): 1024x768@75Hz   
(II) RADEON(0): 1280x1024@75Hz   
(II) RADEON(0): Manufacturer's mask: 0   
(II) RADEON(0): Supported Future Video Modes:   
(II) RADEON(0): #0: hsize: 1280  vsize 1024  refresh: 60  vid: 32897   
(II) RADEON(0): #1: hsize: 1600  vsize 1200  refresh: 60  vid: 16553   
(II) RADEON(0): #2: hsize: 1152  vsize 864  refresh: 75  vid: 20337   
(II) RADEON(0): #3: hsize: 1680  vsize 1050  refresh: 60  vid: 179   
(II) RADEON(0): Supported additional Video Mode:   
(II) RADEON(0): clock: 154.0 MHz   Image Size:  519 x 324 mm   
(II) RADEON(0): h_active: 1920  h_sync: 1968  h_sync_end 2000 h_blank_end 2080   
h_border: 0   
(II) RADEON(0): v_active: 1200  v_sync: 1203  v_sync_end 1209 v_blanking: 1235   
v_border: 0   
(II) RADEON(0): Serial No: M675455N11JS   
(II) RADEON(0): Monitor name: DELL 2405FPW   
(II) RADEON(0): Ranges: V min: 56  V max: 76 Hz, H min: 30  H max: 81 kHz,   
PixClock max 170 MHz   
(II) RADEON(0):   
(II) RADEON(0): Primary:   
 Monitor   -- CRT   
 Connector -- VGA   
 DAC Type  -- Primary   
 TMDS Type -- NONE   
 DDC Type  -- VGA_DDC   
(II) RADEON(0): Secondary:   
 Monitor   -- NONE   
 Connector -- DVI-I   
 DAC Type  -- TVDAC/ExtDAC   
 TMDS Type -- Internal   
 DDC Type  -- DVI_DDC   
(II) RADEON(0): PLL parameters: rf=2700 rd=12 min=20000 max=40000; xclk=18000   
(WW) RADEON(0): Failed to detect secondary monitor, MergedFB/Clone mode   
disabled   
(==) RADEON(0): Using gamma correction (1.0, 1.0, 1.0)   
(II) RADEON(0): Validating modes on Primary head ---------   
(II) RADEON(0): Monitor1: Using hsync range of 30.00-81.00 kHz   
(II) RADEON(0): Monitor1: Using vrefresh range of 56.00-76.00 Hz   
(II) RADEON(0): Clock range:  20.00 to 400.00 MHz   
(II) RADEON(0): Not using mode "vesa1920x1200" (monitor doesn't support reduced   
blanking)
Comment 1 Heinz Ulrich Stille 2006-03-28 05:30:49 EST
Created attachment 126891 [details]
X server output
Comment 2 Mike A. Harris 2006-05-19 00:31:24 EDT
This bug is reported against FC5, however, the driver indicated:

xorg-x11-drv-ati-6.5.7.3-4.cvs20060322

Is not what is supplied with Fedora Core 5.  Please clarify what specific
release you are using, and if you are using any components at all from
rawhide (Fedora development) make sure you have updated _all_ X components
to the Fedora development versions.  When filing bugs about Fedora development
packages, always file them against version "devel" to avoid developer
confusion.

Thanks in advance.

Comment 3 Adam Jackson 2006-10-03 11:07:53 EDT
This should be fixed in xorg-x11-server-1.1.1-38 and later.  Please update, and
reopen this bug if it's still an issue for you.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.